aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatthias Maier <tamiko@gentoo.org>2016-09-24 15:00:09 -0500
committerMatthias Maier <tamiko@gentoo.org>2016-09-24 15:10:31 -0500
commit2b673b5657d4110fdd86130f9442212b6f8a6344 (patch)
tree6f0e035c518172ccfd58d597c155e89f06f0e4da /virtual
parentvirtual/lapack: revision bump 3.6 to 3.6-r100 (diff)
downloadsci-2b673b5657d4110fdd86130f9442212b6f8a6344.tar.gz
sci-2b673b5657d4110fdd86130f9442212b6f8a6344.tar.bz2
sci-2b673b5657d4110fdd86130f9442212b6f8a6344.zip
virtual/cblas: Add version 3.6-r100 to reflect upstream numbering
blas/cblas and lapack nowadays have the same version numbering scheme. Thus, provide a new virtual/cblas-3.6-r100 that ensures reference cblas 3.6.0 (or newer) compatibility. Package-Manager: portage-2.2.28
Diffstat (limited to 'virtual')
-rw-r--r--virtual/cblas/cblas-3.6-r100.ebuild37
1 files changed, 37 insertions, 0 deletions
diff --git a/virtual/cblas/cblas-3.6-r100.ebuild b/virtual/cblas/cblas-3.6-r100.ebuild
new file mode 100644
index 000000000..2b5f942e3
--- /dev/null
+++ b/virtual/cblas/cblas-3.6-r100.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+MULTILIB_COMPAT=( abi_x86_{32,64} )
+
+inherit multilib-build
+
+DESCRIPTION="Virtual for BLAS C implementation"
+HOMEPAGE=""
+SRC_URI=""
+
+LICENSE=""
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="int64"
+
+RDEPEND="
+ || (
+ >=sci-libs/cblas-reference-20151113-r100[int64?,${MULTILIB_USEDEP}]
+ >=sci-libs/openblas-0.2.11[int64?,${MULTILIB_USEDEP}]
+ >=sci-libs/gsl-1.16-r2[-cblas-external,${MULTILIB_USEDEP}]
+ >=sci-libs/gotoblas2-1.13[int64?,${MULTILIB_USEDEP}]
+ sci-libs/mkl[int64?,${MULTILIB_USEDEP}]
+ abi_x86_64? ( !abi_x86_32? ( >=sci-libs/atlas-3.9.34 ) )
+ )
+ int64? (
+ || (
+ >=sci-libs/openblas-0.2.11[int64,${MULTILIB_USEDEP}]
+ >=sci-libs/cblas-reference-20110218-r1[int64,${MULTILIB_USEDEP}]
+ >=sci-libs/gotoblas2-1.13[int64,${MULTILIB_USEDEP}]
+ sci-libs/mkl[int64,${MULTILIB_USEDEP}]
+ )
+ )"
+DEPEND=""